Module javafx.controls
Package javafx.scene.control.skin

# Class TreeTableCellSkin<S,T>

java.lang.Object
javafx.scene.control.SkinBase<TreeTableCell<S,T>>
javafx.scene.control.skin.LabeledSkinBase<TreeTableCell<S,T>>
javafx.scene.control.skin.CellSkinBase<TreeTableCell<S,T>>
javafx.scene.control.skin.TableCellSkinBase<TreeItem<S>,T,TreeTableCell<S,T>>
javafx.scene.control.skin.TreeTableCellSkin<S,T>

Type Parameters:
  `S` - The type of the UI control (e.g. the type of the 'row'), this is wrapped in a TreeItem.
  `T` - The type of the content in the cell, based on its `TreeTableColumn`.

All Implemented Interfaces:
  `Skin<TreeTableCell<S,T>>`

public class TreeTableCellSkin<S,T> extends TableCellSkinBase<TreeItem<S>,T,TreeTableCell<S,T>>
Default skin implementation for the `TreeTableCell` control.

Since:
  9
See Also:
  - `TreeTableCell`

- ## Property Summary

  Properties
  Type
  Property
  Description
  `ReadOnlyObjectProperty<TreeTableColumn<S,T>>`
  `tableColumn`
  The TableColumnBase instance that is responsible for this Cell.

  ### Properties declared in class javafx.scene.control.skin.CellSkinBase

  `cellSize`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TreeTableCellSkin(TreeTableCell<S,T> control)`
  Creates a new TreeTableCellSkin instance, installing the necessary child nodes into the Control `children` list, as well as the necessary input mappings for handling key, mouse, etc events.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ReadOnlyObjectProperty<TreeTableColumn<S,T>>`
  `tableColumnProperty()`
  The TableColumnBase instance that is responsible for this Cell.

  ### Methods declared in class javafx.scene.control.skin.TableCellSkinBase

  `getTableColumn`

  ### Methods declared in class javafx.scene.control.skin.CellSkinBase

  `cellSizeProperty, getCellSize, getClassCssMetaData`

  ### Methods declared in class javafx.scene.control.skin.LabeledSkinBase

  `computeBaselineOffset, computeMinWidth, layoutChildren, layoutLabelInArea, layoutLabelInArea, updateChildren`

  ### Methods declared in class javafx.scene.control.SkinBase

  `computeMaxHeight, computeMaxWidth, computeMinHeight, computePrefHeight, computePrefWidth, consumeMouseEvents, dispose, executeAccessibleAction, getChildren, getCssMetaData, getNode, getSkinnable, layoutInArea, layoutInArea, layoutInArea, positionInArea, positionInArea, pseudoClassStateChanged, queryAccessibleAttribute, registerChangeListener, registerInvalidationListener, registerListChangeListener, snappedBottomInset, snappedLeftInset, snappedRightInset, snappedTopInset, snapPosition, snapPositionX, snapPositionY, snapSize, snapSizeX, snapSizeY, snapSpace, snapSpaceX, snapSpaceY, unregisterChangeListeners, unregisterInvalidationListeners, unregisterListChangeListeners`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods declared in interface javafx.scene.control.Skin

  `install`

- ## Property Details

  - ### tableColumn

    public ReadOnlyObjectProperty<TreeTableColumn<S,T>> tableColumnProperty
    The TableColumnBase instance that is responsible for this Cell.
    Specified by:
      `tableColumnProperty` in class `TableCellSkinBase<TreeItem<S>,T,TreeTableCell<S,T>>`
    Returns:
      the TableColumnBase instance that is responsible for this Cell
    See Also:
      - `tableColumnProperty()`

- ## Constructor Details

  - ### TreeTableCellSkin

    public TreeTableCellSkin(TreeTableCell<S,T> control)
    Creates a new TreeTableCellSkin instance, installing the necessary child nodes into the Control `children` list, as well as the necessary input mappings for handling key, mouse, etc events.
    Parameters:
      `control` - The control that this skin should be installed onto.

- ## Method Details

  - ### tableColumnProperty

    public ReadOnlyObjectProperty<TreeTableColumn<S,T>> tableColumnProperty()
    The TableColumnBase instance that is responsible for this Cell.
    Specified by:
      `tableColumnProperty` in class `TableCellSkinBase<TreeItem<S>,T,TreeTableCell<S,T>>`
    Returns:
      the `tableColumn` property
    See Also:
      - `TableCellSkinBase.getTableColumn()`